Can you try below diff in your rfc, and let me know if it works?
```
diff --git a/rfc.sh b/rfc.sh
index 607fd7528f..4ffef26ca1 100755
--- a/rfc.sh
+++ b/rfc.sh
@@ -321,21 +321,21 @@ main()
fi
# TODO: add clang-format command here. It will after the changes are done everywhere else
+ set +e
clang_format=$(clang-format --version)
if [ ! -z "${clang_format}" ]; then
# Considering git show may not give any files as output matching the
# criteria, good to tell script not to fail on error
- set +e
list_of_files=$(git show --pretty="format:" --name-only |
grep -v "contrib/" | egrep --color=never "*\.[ch]$");
if [ ! -z "${list_of_files}" ]; then
echo "${list_of_files}" | xargs clang-format -i
fi
- set -e
else
echo "High probability of your patch not passing smoke due to coding standard check"
echo "Please install 'clang-format' to format the patch before submitting"
fi
+ set -e
if [ "$DRY_RUN" = 1 ]; then
drier='echo -e Please use the following command to send your commits to review:\n\n'
```
-Amar
On Fri, Oct 5, 2018 at 8:09 AM Raghavendra Gowdappa <rgowdapp@xxxxxxxxxx> wrote:
_______________________________________________All,[rgowdapp@rgowdapp glusterfs]$ ./rfc.sh+ rebase_changes+ GIT_EDITOR=./rfc.sh+ git rebase -i origin/master[detached HEAD 34fabdd] cluster/dht: clang-format dht-common.c1 file changed, 10674 insertions(+), 11166 deletions(-)rewrite xlators/cluster/dht/src/dht-common.c (88%)[detached HEAD 4bbcbf9] cluster/dht: fixes to unlinking invalid linkto file1 file changed, 1 insertion(+), 1 deletion(-)[detached HEAD c5583ea] rfc.sh: test - DO NOT MERGE1 file changed, 8 insertions(+), 3 deletions(-)Successfully rebased and updated refs/heads/1635145.+ check_backport+ moveon=N+ '[' master = master ']'+ return+ assert_diverge+ git diff origin/master..HEAD+ grep -q .++ git log -n1 --format=%b++ grep -ow -E '([fF][iI][xX][eE][sS]|[uU][pP][dD][aA][tT][eE][sS])(:)?[[:space:]]+(gluster\/glusterfs)?(bz)?#[[:digit:]]+'++ awk -F '#' '{print $2}'+ reference=1635145+ '[' -z 1635145 ']'++ clang-format --version+ clang_format='LLVM (http://llvm.org/):LLVM version 3.4.2Optimized build.Built Dec 7 2015 (09:37:36).Default target: x86_64-redhat-linux-gnuHost CPU: x86-64'Looks like the script is exiting right after it completes clang-format --version. Nothing after that statement gets executed (did it crash? I don't see any cores). Any help is appreciatedregards,Raghavendra
Gluster-devel mailing list
Gluster-devel@xxxxxxxxxxx
https://lists.gluster.org/mailman/listinfo/gluster-devel
Amar Tumballi (amarts)
_______________________________________________ Gluster-devel mailing list Gluster-devel@xxxxxxxxxxx https://lists.gluster.org/mailman/listinfo/gluster-devel